Inbox conversation detail with messages

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api.documentation.omnicado.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "omnicado MCP server": {
    "url": "https://api.documentation.omnicado.com/mcp"
  }
}

Close
GET /inbox/tickets/{ticketId}

Path parameters

  • ticketId integer Required

Responses

  • 200 application/json

    Ticket with its messages, oldest first

    Hide response attributes Show response attributes object
    • id integer
    • mailboxId integer
    • source string

      Values are allegro_messaging, allegro_issue, or kaufland_ticket.

    • status string

      Values are open, waiting_for_seller, waiting_for_buyer, closed, accepted, or rejected.

    • remoteId string

      Conversation ID on the marketplace

    • subject string | null
    • buyerLogin string | null
    • orderId integer | null

      Omnicado order ID, when the conversation is paired with an order

    • remoteOrderId string | null
    • isRead boolean
    • lastMessageAt string(date-time) | null
    • replyDueAt string(date-time) | null
    • lastReplyError string | null

      Why the last reply was refused by the marketplace; cleared after a successful reply

    • lastReplyErrorAt string(date-time) | null
    • messages array[object]
      Hide messages attributes Show messages attributes object
      • id integer
      • authorRole string

        Values are buyer, seller, admin, fulfillment, or system.

      • authorLogin string | null
      • text string
      • createdAt string(date-time)
      • attachments array[object]
        Hide attachments attributes Show attachments attributes object
        • fileName string
        • mimeType string | null
        • fileSize integer | null
  • 404

    Ticket not found

GET /inbox/tickets/{ticketId}
curl \
 --request GET 'api.services.omnicado.com/api/v2/inbox/tickets/{ticketId}' \
 --header "X-OMNICADO-TOKEN: $API_KEY"
Response examples (200)
{
  "id": 4521,
  "mailboxId": 727,
  "source": "allegro_messaging",
  "status": "open",
  "remoteId": "string",
  "subject": "string",
  "buyerLogin": "string",
  "orderId": 42,
  "remoteOrderId": "string",
  "isRead": true,
  "lastMessageAt": "2026-05-04T09:42:00Z",
  "replyDueAt": "2026-05-04T09:42:00Z",
  "lastReplyError": "string",
  "lastReplyErrorAt": "2026-05-04T09:42:00Z",
  "messages": [
    {
      "id": 42,
      "authorRole": "buyer",
      "authorLogin": "string",
      "text": "string",
      "createdAt": "2026-05-04T09:42:00Z",
      "attachments": [
        {
          "fileName": "string",
          "mimeType": "string",
          "fileSize": 42
        }
      ]
    }
  ]
}